<template>
  <div class="create-survey">
    <!-- Header -->
    <!-- <main-header></main-header> -->
    <!-- End Header -->

    <div class="container-md content-section position-relative pb-5">
      <h1 class="overlay-text position-absolute">Create a Survey</h1>
      <img src="@/assets/img/quiz-bg.png" class="bg position-absolute" />

      <quiz-survey-header></quiz-survey-header>

      <!-- Survey template -->
      <div v-for="(item, ind) in listSurvey" :key="ind">
        <survey-template :idProp="ind"></survey-template>
      </div>
      <!-- End Survey template -->

      <div class="d-flex justify-content-end py-5">
        <button class="btn btn-primary" @click="addMoreSurvey">Add More</button>
      </div>
    </div>

    <!-- Footer -->
    <!-- <main-footer></main-footer> -->
    <!-- End Footer -->
  </div>
</template>

<script>
// import MainHeader from "../components/MainHeader.vue";
// import MainFooter from "../components/MainFooter.vue";
import QuizSurveyHeader from "../components/quiz-survey/QuizSurveyHeader.vue";
import SurveyTemplate from "../components/quiz-survey/SurveyTemplate.vue";

export default {
  components: {
    // MainHeader,
    // MainFooter,
    QuizSurveyHeader,
    SurveyTemplate,
  },
  data() {
    return {
      listSurvey: [{ type: "", content: "", answer: "" }],
      isSubmitted: false
    };
  },
  methods: {
    addMoreSurvey() {
      this.listSurvey.push({ type: "", content: "", answer: "" });
    }
  }
};
</script>

<style scoped>
.content-section {
  max-width: 100vw;
  overflow: hidden;
  padding-top: 100px;
  padding-bottom: 30px;
}
.content-section .bg {
  width: 120vw;
  height: 100%;
  top: 0;
  left: 0;
  transform: translateX(-20vw);
  object-fit: cover;
  z-index: -1;
}
.content-section .overlay-text {
  font-size: 150px;
  color: #dadadbaa;
  top: 0;
  left: 0;
  white-space: nowrap;
  z-index: -1;
  width: 100vw;
  overflow: hidden;
}
</style>
